<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
      <ion-title>Nueva tarjeta</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-list>
    <div class="ion-text-center ion-margin">
      <ng-credit-card [name]="name" [number]="number" [cvc]="cvc" [expiry]="expiry"></ng-credit-card>
    </div>
    <form class="tarjeta-form" style="padding:20px">
      <ion-item lines="none" class="form-item">
        <ion-label slot="start">
          <ion-icon name="person"></ion-icon>
        </ion-label>
        <ion-input [(ngModel)]="name" name="name" type="text" placeholder="Nombre del titular"></ion-input>
      </ion-item>

      <ion-item lines="none" class="form-item">
        <ion-label slot="start">
          <ion-icon name="card"></ion-icon>
        </ion-label>
        <ion-input [(ngModel)]="number" name="number" type="text" placeholder="Número de tarjeta" credit-card-number></ion-input>
      </ion-item>

      <ion-item lines="none" class="form-item">
        <ion-label slot="start">
          <ion-icon name="calendar"></ion-icon>
        </ion-label>
        <ion-input [(ngModel)]="expiry" name="expiry" type="text" placeholder="Fecha de vencimiento" credit-card-expiry></ion-input>
      </ion-item>

      <ion-item lines="none" class="form-item">
        <ion-label slot="start">
          <ion-icon name="lock-closed"></ion-icon>
        </ion-label>
        <ion-input [(ngModel)]="cvc" name="cvc" type="text" placeholder="CVC" credit-card-cvc></ion-input>
      </ion-item>

    </form>
  </ion-list>
  <div style="position: absolute; right: 0; z-index:1; bottom: 3%;; width: 100%; text-align: center;">
    <ion-button (click)="enviar()" >
      <ion-icon name="save-outline" slot="start"></ion-icon>
      Guardar
    </ion-button>
  </div>
</ion-content>
